Enumerations

# intro_widget.h File Reference

Types related to the intro widgets. More...

Go to the source code of this file.

## Enumerations
enum | SelectGameIntroWidgets { WID_SGI_GENERATE_GAME, WID_SGI_LOAD_GAME, WID_SGI_PLAY_SCENARIO, WID_SGI_PLAY_HEIGHTMAP, WID_SGI_EDIT_SCENARIO, WID_SGI_PLAY_NETWORK, WID_SGI_TEMPERATE_LANDSCAPE, WID_SGI_ARCTIC_LANDSCAPE, WID_SGI_TROPIC_LANDSCAPE, WID_SGI_TOYLAND_LANDSCAPE, WID_SGI_TRANSLATION_SELECTION, WID_SGI_TRANSLATION, WID_SGI_OPTIONS, WID_SGI_DIFFICULTIES, WID_SGI_SETTINGS_OPTIONS, WID_SGI_GRF_SETTINGS, WID_SGI_CONTENT_DOWNLOAD, WID_SGI_AI_SETTINGS, WID_SGI_EXIT }
| Widgets of the SelectGameWindow class. More...

## Detailed Description

Types related to the intro widgets.

Definition in file intro_widget.h.

## Enumeration Type Documentation

enum SelectGameIntroWidgets

Widgets of the SelectGameWindow class.

Enumerator:

  WID_SGI_GENERATE_GAME | Generate game button.
  WID_SGI_LOAD_GAME | Load game button.
  WID_SGI_PLAY_SCENARIO | Play scenario button.
  WID_SGI_PLAY_HEIGHTMAP | Play heightmap button.
  WID_SGI_EDIT_SCENARIO | Edit scenario button.
  WID_SGI_PLAY_NETWORK | Play network button.
  WID_SGI_TEMPERATE_LANDSCAPE | Select temperate landscape button.
  WID_SGI_ARCTIC_LANDSCAPE | Select arctic landscape button.
  WID_SGI_TROPIC_LANDSCAPE | Select tropic landscape button.
  WID_SGI_TOYLAND_LANDSCAPE | Select toyland landscape button.
  WID_SGI_TRANSLATION_SELECTION | Translation selection.
  WID_SGI_TRANSLATION | Translation.
  WID_SGI_OPTIONS | Options button.
  WID_SGI_DIFFICULTIES | Difficulties button.
  WID_SGI_SETTINGS_OPTIONS | Settings button.
  WID_SGI_GRF_SETTINGS | NewGRF button.
  WID_SGI_CONTENT_DOWNLOAD | Content Download button.
  WID_SGI_AI_SETTINGS | AI button.
  WID_SGI_EXIT | Exit button.

Definition at line 16 of file intro_widget.h.